package org.project.entity.enemies;

import org.project.item.weapons.Weapon;

public class Goblin extends Enemy {

    public Goblin(Weapon weapon) {
        super("Goblin", 140, 40, weapon, 0.3);
        this.xpReward = 80;
        this.coinReward = 10;
    }

    @Override
    public int choice() {
        double roll = Math.random();

        if (this.getStamina() >= this.weapon.getStaminaCost()) {
            if (roll < 0.2) {return 1;}
            else if (roll < 0.8) {return 2;}
            else {return 3;}
        } else {
            return 1;
        }

    }
}
